﻿
@{
    ViewData["Title"] = "Project Manager Assignment";
}
<div id="page_content_inner">
    <div class="md-card uk-margin-medium-bottom">
        <div class="md-card-content ">
            <ul class="uk-breadcrumb" style="float:right">
                <li><a href="~/" class="fakelink">Home</a></li>
                <li><a href="~/projectmanagement" class="fakelink">PM</a></li>
                <li><span>@ViewBag.Title</span></li>
            </ul>
            <div style="float:left;font-size:30px;font-weight:bold;font-family='Roboto'">@ViewBag.Title</div>
            <div style="clear:both"></div>
            <hr />
            <div class="uk-grid uk-width-large-1-1 uk-width-medium-1-1">
                <div class="uk-width-1-2">
                    <div class="uk-input-group">
                        <label for="projectmanager">Project Manager</label>
                        <input type="text" id="projectmanager" name="projectmanager" class="md-input label-fixed" data-uk-modal="{ center:true, target:'#ModalSearchPM',modal: false }" />
                        <span class="uk-input-group-addon"><i class="uk-input-group-icon uk-icon-search"></i></span>
                    </div>
                    <div class="uk-input-group">
                        <label for="projectmanager">Client Brief</label><br />
                        <a href="#">folder://dsscommunityramadhan2017</a>
                    </div>
                </div>
                <div class="uk-width-1-2">
                    <div class="uk-grid">
                        <div class="uk-width-1-2">
                            <div class="uk-input-group">
                                <label for="campaignname">Campaign Name</label>
                                <input type="text" id="campaignname" name="campaignname" class="md-input label-fixed" data-uk-modal="{ center:true, target:'#ModalSearchCampaign',modal: false }" />
                                <span class="uk-input-group-addon"><i class="uk-input-group-icon uk-icon-search"></i></span>
                            </div>
                            <div class="uk-input-group">
                                <label for="jobname">Job Name</label>
                                <input type="text" id="jobname" name="jobname" class="md-input label-fixed" disabled="disabled" />
                            </div>
                            <div class="uk-input-group">
                                <label for="jobnumber">Job Number</label>
                                <input type="text" id="jobnumber" name="jobnumber" class="md-input label-fixed" disabled="disabled" />
                            </div>
                        </div>
                        <div class="uk-width-1-2">
                            <div class="uk-input-group">
                                <label for="account">Account Management</label>
                                <span id="account"></span>
                            </div>
                            <div class="uk-grid">
                                <div class="uk-width-2-3">
                                    <label for="uk_dp_start">Deadline</label>
                                    <input class="md-input label-fixed" type="text" id="Deadline" disabled="disabled">
                                </div>
                                <div class="uk-width-1-3">
                                    <input class="md-input" type="text" id="DeadlineTime" disabled="disabled">
                                </div>
                            </div>
                            <div class="uk-grid">
                                <div class="uk-width-2-3">
                                    <label for="uk_dp_start">Final Delivery</label>
                                    <input class="md-input label-fixed" type="text" id="FinalDelivery" disabled="disabled">
                                </div>
                                <div class="uk-width-1-3">
                                    <input class="md-input" type="text" id="FinalDeliveryTime" disabled="disabled">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <button type="submit" class="md-btn md-btn-primary"> Submit</button>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="uk-modal" id="ModalSearchCampaign">
    <div class="uk-modal-dialog" style="width: 550px;margin-left:auto;margin-right:auto;">
        <div class="uk-modal-header">
            <h3 class="uk-modal-title">Search Campaign</h3>
        </div>
        <div class="uk-modal-content">
            <table id="tableEmployee" class="uk-table uk-table-hover" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th width="12%">Action</th>
                        <th>Campaign Name</th>
                        <th>Account Management</th>
                        <th>Job Name</th>
                        <th>Job Number</th>
                        <th>Deadline</th>
                        <th>Deadline Time</th>
                        <th>Final Delivery</th>
                        <th>Final Delivery Time</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><button onclick="setData(2);"><i class="uk-icon-plus"></i></button></td>
                        <td id="nama1">Dancow Siap Sekolah Ramadhan 2017</td>
                        <td>Oni Marbun,Ucok,Nina,Layla</td>
                        <td>DSS Community Ramadhan</td>
                        <td>NES.17060078</td>
                        <td>15/May/2017</td>
                        <td>11:00</td>
                        <td>30/June/2017</td>
                        <td>14:00</td>
                    </tr>
                    <tr>
                        <td><button onclick="setData(0);"><i class="uk-icon-plus"></i></button></td>
                        <td>Promina Siap Sekolah</td>
                        <td>Udin Marbun,Budi,Imam,Aisyah</td>
                        <td>PSS Community</td>
                        <td>NES.17060378</td>
                        <td>15/April/2017</td>
                        <td>13:00</td>
                        <td>30/Juli/2017</td>
                        <td>10:00</td>
                    </tr>
                    <tr>
                        <td><button onclick="setData(1);"><i class="uk-icon-plus"></i></button></td>
                        <td>Prenagen Siap Hamil</td>
                        <td>Cintya,Mamat,Fahmi</td>
                        <td>PSH Community</td>
                        <td>NES.170600199</td>
                        <td>15/May/2017</td>
                        <td>08:00</td>
                        <td>30/June/2017</td>
                        <td>19:00</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="uk-modal" id="ModalSearchPM">
    <div class="uk-modal-dialog" style="width: 550px;margin-left:auto;margin-right:auto;">
        <div class="uk-modal-header">
            <h3 class="uk-modal-title">Search User Approval</h3>
        </div>
        <div class="uk-modal-content">
            <table id="tablePM" class="uk-table uk-table-hover" cellspacing="0" width="100%">
                <thead>
                    <tr>
                        <th width="12%">Action</th>
                        <th>Name</th>
                        <th>Division</th>
                        <th>Position</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><button onclick="setPM(0);"><i class="uk-icon-plus"></i></button></td>
                        <td>Steve</td>
                        <td>Developer</td>
                        <td>PM</td>
                    </tr>
                    <tr>
                        <td><button onclick="setPM(1);"><i class="uk-icon-plus"></i></button></td>
                        <td>Randy</td>
                        <td>Finance</td>
                        <td>Staff</td>
                    </tr>
                    <tr>
                        <td><button onclick="setPM(2);"><i class="uk-icon-plus"></i></button></td>
                        <td>Brandon</td>
                        <td>Team Infra</td>
                        <td>Team Leader</td>
                    </tr>
                    <tr>
                        <td><button onclick="setPM(3);"><i class="uk-icon-plus"></i></button></td>
                        <td>Angelina</td>
                        <td>Finance</td>
                        <td>Head Division</td>
                    </tr>
                    <tr>
                        <td><button onclick="setPM(4);"><i class="uk-icon-plus"></i></button></td>
                        <td>Cintya</td>
                        <td>Procurement</td>
                        <td>Sekretaris</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

@section Script {
    <script src="~/assets/js/Areas/ProjectManagement/Assignment/PM.js?r=@ViewBag.NOW"></script>
}
